PropertyData (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.entities
Class PropertyData

    java.lang.Object
      org.hibernate.envers.entities.PropertyData

    public class PropertyData

extends Object

Holds information on a property that is audited.

Constructor Summary
`PropertyData(String newName, PropertyData propertyData)` Copies the given property data, except the name.
`PropertyData(String name, String beanName, String accessType, ModificationStore store)`
`PropertyData(String name, String beanName, String accessType, ModificationStore store, boolean usingModifiedFlag, String modifiedFlagName)`

Method Summary
`boolean` | `equals(Object o)`
`String` | `getAccessType()`
`String` | `getBeanName()`
`String` | `getModifiedFlagPropertyName()`
`String` | `getName()`
`ModificationStore` | `getStore()`
`int` | `hashCode()`
`boolean` | `isUsingModifiedFlag()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyData

    public PropertyData(String newName,
                        PropertyData propertyData)

  Copies the given property data, except the name.

  Parameters:
    `newName` - New name.
    `propertyData` - Property data to copy the rest of properties from.

### PropertyData

    public PropertyData(String name,
                        String beanName,
                        String accessType,
                        ModificationStore store)

Parameters:
  `name` - Name of the property.
  `beanName` - Name of the property in the bean.
  `accessType` - Accessor type for this property.
  `store` - How this property should be stored.

### PropertyData

    public PropertyData(String name,
                        String beanName,
                        String accessType,
                        ModificationStore store,
                        boolean usingModifiedFlag,
                        String modifiedFlagName)

Parameters:
  `name` - Name of the property.
  `beanName` - Name of the property in the bean.
  `accessType` - Accessor type for this property.
  `store` - How this property should be stored.
  `usingModifiedFlag` - Defines if field changes should be tracked

Method Detail

### getName

    public String getName()

### getBeanName

    public String getBeanName()

### getAccessType

    public String getAccessType()

### getStore

    public ModificationStore getStore()

### isUsingModifiedFlag

    public boolean isUsingModifiedFlag()

### getModifiedFlagPropertyName

    public String getModifiedFlagPropertyName()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.